.maplibregl-ctrl-group {
  background: var(--Maximum-Background, #000);
  border-radius: 10000px;
  overflow: hidden; // required to clip the inner button hover effects

  button {
    width: 2.6rem;
    height: 2.6rem;
  }
}

.maplibregl-ctrl button.maplibregl-ctrl-geolocate .maplibregl-ctrl-icon {
  background-size: 2rem 2rem;
}

.maplibregl-ctrl-bottom-right {
  position: fixed;
  bottom: 0.2rem;
}

.maplibregl-ctrl-group:not(:empty) {
  box-shadow: var(--default-shadow);
}

@media (prefers-color-scheme: dark) {
  .maplibregl-ctrl-zoom-in,
  .maplibregl-ctrl-zoom-out,
  .maplibregl-ctrl-compass,
  .maplibregl-ctrl-geolocate {
    filter: invert(100%);
  }
}

.maplibregl-ctrl-attrib {
  max-width: 50%;
  white-space: normal;
  word-wrap: break-word;
  overflow: hidden;
}
